shishi_cfg_clientkdcetype(3)

NAME
shishi_cfg_clientkdcetype - API function

SYNOPSIS
#include <shishi.h>

int shishi_cfg_clientkdcetype(Shishi * handle, int32_t ** etypes);

ARGUMENTS

Shishi * handle
    Shishi library handle create by shishi_init().

int32_t ** etypes
    output array with encryption types.

DESCRIPTION
Set the etypes variable to the array of preferred client etypes.

RETURN VALUE
Return the number of encryption types in the array, 0 means none.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.